// ToolView.h : interface of the CToolView class
//


#pragma once
#include "atltypes.h"


class CToolView : public CView
{
protected: // create from serialization only
	CToolView();
	DECLARE_DYNCREATE(CToolView)

// Attributes
public:
	CToolDoc* GetDocument() const;
	CDC*   m_pdcMemory;
	CBitmap* m_pBitmap;
	CPoint m_pntStart;
	CSize m_szRect;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CToolView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnDrawCircle();
	bool m_bCircle;
	afx_msg void OnUpdateDrawCircle(CCmdUI *pCmdUI);
	virtual void OnInitialUpdate();
	afx_msg void OnPaint();
	virtual void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo = NULL);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	CPoint m_pntHit;
	void InvalidateOldAndNew(CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	bool m_bCaptured;
	afx_msg void OnSize(UINT nType, int cx, int cy);
	bool m_bBlt;
	afx_msg void OnDrawBlt();
	afx_msg void OnUpdateDrawBlt(CCmdUI *pCmdUI);
};

#ifndef _DEBUG  // debug version in ToolView.cpp
inline CToolDoc* CToolView::GetDocument() const
   { return reinterpret_cast<CToolDoc*>(m_pDocument); }
#endif

